Name:           transmission
Version:        2.84
Release:        2%{?dist}
Summary:        A lightweight GTK+ BitTorrent client
Group:          Applications/Internet
License:        MIT and GPLv2
URL:            http://www.transmissionbt.com/
Source0:		http://mirrors.m0k.org/transmission/files/transmission-%{version}.tar.xz
Source1:        transmission-daemon-init
Source2:        transmission-daemon-sysconfig
Source3:		transmission-daemon-logrotate
Source4:		transmission-password
BuildRequires:  openssl-devel >= 0.9.4
BuildRequires:  glib2-devel
BuildRequires:  curl-devel
BuildRequires:  dbus-glib-devel >= 0.70
BuildRequires:  GConf2-devel
BuildRoot: /%{_tmppath}/%{name}-%{version}-%{release}-root
Requires: transmission-cli
Requires: transmission-daemon
Requires: logrotate

%description
Transmission is a free, lightweight BitTorrent client. It features a
simple, intuitive interface on top on an efficient, cross-platform
back-end.

%package common
Summary:       Transmission common files
Group:         Applications/Internet
#Requires:      libevent >= 2.0.10
Conflicts:     transmission < 1.80-0.3.b4
%description common
Common files for Transmission BitTorrent client sub-packages. It includes 
the web user interface, icons and transmission-remote utility.

%package cli
Summary:       Transmission command line implementation
Group:         Applications/Internet
Requires:      transmission-common
Provides:      transmission = %{version}-%{release}
%description cli
Command line version of Transmission BitTorrent client.

%package daemon
Summary:       Transmission daemon
Group:         Applications/Internet
Requires:      transmission-common
Requires(pre): shadow-utils
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts
Requires(postun): initscripts
Provides:      transmission = %{version}-%{release}
%description daemon
Transmission BitTorrent client daemon.

%pre daemon
getent group transmission >/dev/null || groupadd -r transmission
getent passwd transmission >/dev/null || \
useradd -r -g transmission -d /var/lib/transmission -s /bin/bash \
        -c "transmission daemon account" transmission
exit 0

%prep
%setup -q 

%build
./configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux --enable-daemon --disable-nls
make

%install
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_localstatedir}/lib/transmission
mkdir -p %{buildroot}%{_localstatedir}/log/transmission

install -m755 %{SOURCE1} %{buildroot}%{_sysconfdir}/rc.d/init.d/transmission-daemon
install -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/transmission-daemon
install -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/transmission-daemon
install -m755 %{SOURCE4} %{buildroot}%{_bindir}/transmission-password

make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}

%post daemon
/sbin/chkconfig --add transmission-daemon

%preun daemon
if [ $1 = 0 ] ; then
    /sbin/service transmission-daemon stop >/dev/null 2>&1
    /sbin/chkconfig --del transmission-daemon
fi

%postun daemon
if [ "$1" -ge "1" ] ; then
    /sbin/service transmission-daemon condrestart >/dev/null 2>&1 || :
fi

%files 

%files common 
%defattr(-, root, root, -)
%doc AUTHORS COPYING NEWS README
%{_bindir}/transmission-remote
%{_datadir}/transmission/web/
%doc %{_mandir}/man1/transmission-remote*

%files cli 
%defattr(-, root, root, -)
%{_bindir}/transmission-cli
%{_bindir}/transmission-create
%{_bindir}/transmission-edit
%{_bindir}/transmission-show
%doc %{_mandir}/man1/transmission-cli*
%doc %{_mandir}/man1/transmission-create*
%doc %{_mandir}/man1/transmission-edit*
%doc %{_mandir}/man1/transmission-show*

%files daemon
%defattr(-, root, root, -)
%{_bindir}/transmission-daemon
%{_bindir}/transmission-password
%{_sysconfdir}/logrotate.d/transmission-daemon
%{_sysconfdir}/rc.d/init.d/transmission-daemon
%config(noreplace) %{_sysconfdir}/sysconfig/transmission-daemon
%dir %attr(-,transmission, transmission)%{_localstatedir}/lib/transmission/
%dir %attr(-,transmission, transmission)%{_localstatedir}/log/transmission/
%doc %{_mandir}/man1/transmission-daemon*

%changelog

* Sat Jan 31 2015 Simon Amor <simon@leaky.org> 2.84-2
- Resolved final packaging issues with initscripts

* Sat Jan 31 2015 Simon Amor <simon@leaky.org> 2.84-1
- Updated to latest stable upstream version: 2.84
